csGLScreenShot Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csGLScreenShot Class Reference
Common Plugin Classes

OpenGL screen shot. More...

`#include <csplugincommon/opengl/glss.h>`

Inheritance diagram for csGLScreenShot:

List of all members.

## Public Member Functions
void | DecRef ()
| Decrement the number of references to this object.
virtual int | GetFormat () const
| Qyery image format (see CS_IMGFMT_XXX above)
virtual int | GetHeight () const
| Query image height.
virtual const void * | GetImageData ()
| Get image data: returns either (csRGBpixel *) or (unsigned char *) depending on format.
csRef< iDataBuffer > | GetRawData () const
| Get the raw data of the image (or 0 if raw data is not provided).
const char * | GetRawFormat () const
| Get a string identifying the format of the raw data of the image (or 0 if raw data is not provided).
virtual int | GetWidth () const
| Query image width.
void | IncRef ()
| Increment the number of references to this object.
size_t | GetSize () const
| iDataBuffer implementation
char * | GetData () const
| iDataBuffer implementation

## Detailed Description

OpenGL screen shot.

Definition at line 39 of file glss.h.

## Member Function Documentation

void csGLScreenShot::DecRef | ( |  | ) | `[virtual]`

Decrement the number of references to this object.

Thread-safe - it is possible to manipulate the reference count from different threads. If multiple threads simultaneously decrement the reference count and cause the object to be freed it's not defined on which thread the subsequent destruction happens - it may happen in any one of the decrementing thread.

Implements iBase.

char* csGLScreenShot::GetData | ( |  | ) | const`[inline, virtual]`

iDataBuffer implementation

Implements iDataBuffer.

Definition at line 88 of file glss.h.

virtual int csGLScreenShot::GetFormat | ( |  | ) | const`[inline, virtual]`

Qyery image format (see CS_IMGFMT_XXX above)

Implements iImage.

Definition at line 60 of file glss.h.

virtual int csGLScreenShot::GetHeight | ( |  | ) | const`[inline, virtual]`

Query image height.

Implements iImage.

Definition at line 58 of file glss.h.

virtual const void* csGLScreenShot::GetImageData | ( |  | ) | `[inline, virtual]`

Get image data: returns either (csRGBpixel *) or (unsigned char *) depending on format.

Note that for RGBA images the csRGBpixel structure contains the alpha channel as well, so GetAlpha (see below) method will return 0 (because alpha is not stored separately, as for paletted images).

Implements iImage.

Definition at line 54 of file glss.h.

csRef<iDataBuffer> csGLScreenShot::GetRawData | ( |  | ) | const`[inline, virtual]`

Get the raw data of the image (or 0 if raw data is not provided).

Implements iImage.

Definition at line 74 of file glss.h.

const char* csGLScreenShot::GetRawFormat | ( |  | ) | const`[inline, virtual]`

Get a string identifying the format of the raw data of the image (or 0 if raw data is not provided).

The format string must be compatible with that supported by iTextureManager::CreateTexture().

See also:
  Texture format strings

Implements iImage.

Definition at line 67 of file glss.h.

size_t csGLScreenShot::GetSize | ( |  | ) | const`[inline, virtual]`

iDataBuffer implementation

Implements iDataBuffer.

Definition at line 81 of file glss.h.

virtual int csGLScreenShot::GetWidth | ( |  | ) | const`[inline, virtual]`

Query image width.

Implements iImage.

Definition at line 56 of file glss.h.

void csGLScreenShot::IncRef | ( |  | ) | `[virtual]`

Increment the number of references to this object.

Thread-safe - it is possible to manipulate the reference count from different threads at the same time.

Implements iBase.

The documentation for this class was generated from the following file:

- csplugincommon/opengl/glss.h